package com.prolog.upcloud.base.wh.operate.vo;

import java.util.List;
import java.util.StringJoiner;

/**
 * @author wujunjie
 * @date 2021-07-15
 */
public class ReplenishQueryVO {
    /**
     * 仓库编码
     */
    private String warehouseId;
    /**
     * 自动单号
     */
    private String autoBillNum;
    /**
     * 货主编码
     */
    private String cargoOwnerId;
    /**
     * 补货类型
     */
    private String businessType;
    /**
     * 状态
     */
    private String status;
    /**
     * oms单号
     */
    private String omsBillNo;
    /**
     * 源单ID
     */
    private String erpSrcId;
    /**
     * 源单号
     */
    private String erpSrcNo;
    /**
     * 源单ID
     */
    private String erpSrcLineId;

    private String detailId;

    private String toLocatorCode;


    public List<String> getDetailIds() {
        return detailIds;
    }

    public void setDetailIds(List<String> detailIds) {
        this.detailIds = detailIds;
    }

    private List<String> detailIds;

    public String getDetailId() {
        return detailId;
    }

    public void setDetailId(String detailId) {
        this.detailId = detailId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getAutoBillNum() {
        return autoBillNum;
    }

    public void setAutoBillNum(String autoBillNum) {
        this.autoBillNum = autoBillNum;
    }

    public String getCargoOwnerId() {
        return cargoOwnerId;
    }

    public void setCargoOwnerId(String cargoOwnerId) {
        this.cargoOwnerId = cargoOwnerId;
    }

    public String getBusinessType() {
        return businessType;
    }

    public void setBusinessType(String businessType) {
        this.businessType = businessType;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOmsBillNo() {
        return omsBillNo;
    }

    public void setOmsBillNo(String omsBillNo) {
        this.omsBillNo = omsBillNo;
    }

    public String getErpSrcId() {
        return erpSrcId;
    }

    public void setErpSrcId(String erpSrcId) {
        this.erpSrcId = erpSrcId;
    }

    public String getErpSrcNo() {
        return erpSrcNo;
    }

    public void setErpSrcNo(String erpSrcNo) {
        this.erpSrcNo = erpSrcNo;
    }

    public String getErpSrcLineId() {
        return erpSrcLineId;
    }

    public void setErpSrcLineId(String erpSrcLineId) {
        this.erpSrcLineId = erpSrcLineId;
    }

    public String getToLocatorCode() {
        return toLocatorCode;
    }

    public void setToLocatorCode(String toLocatorCode) {
        this.toLocatorCode = toLocatorCode;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", ReplenishQueryVO.class.getSimpleName() + "[", "]").add("warehouseId='" + warehouseId + "'").add("autoBillNum='" + autoBillNum + "'").add("cargoOwnerId='" + cargoOwnerId + "'").add("businessType='" + businessType + "'").add("status='" + status + "'").add("omsBillNo='" + omsBillNo + "'").add("erpSrcId='" + erpSrcId + "'").add("erpSrcNo='" + erpSrcNo + "'").add("erpSrcLineId='" + erpSrcLineId + "'").toString();
    }
}
